/*
 * ReplacedElementItem.java
 *
 * Created on 18 giugno 2004, 14.30
 */

package it.businesslogic.ireport.undo;
import it.businesslogic.ireport.*;
/**
 *
 * @author  Administrator
 */
public class PasteStyledElementItem {
    
   private ReportElement originalStyle = null;
   private ReportElement newStyle = null;
   private ReportElement element = null;
    
   public PasteStyledElementItem(ReportElement element, ReportElement originalStyle, ReportElement newStyle) {
       this.newStyle = newStyle;
       this.originalStyle = originalStyle;
       this.element = element;
   }   
   
   /**
    * Getter for property element.
    * @return Value of property element.
    */
   public it.businesslogic.ireport.ReportElement getElement() {
       return element;
   }   
 
   /**
    * Setter for property element.
    * @param element New value of property element.
    */
   public void setElement(it.businesslogic.ireport.ReportElement element) {
       this.element = element;
   }
   
   /**
    * Getter for property newStyle.
    * @return Value of property newStyle.
    */
   public it.businesslogic.ireport.ReportElement getNewStyle() {
       return newStyle;
   }
   
   /**
    * Setter for property newStyle.
    * @param newStyle New value of property newStyle.
    */
   public void setNewStyle(it.businesslogic.ireport.ReportElement newStyle) {
       this.newStyle = newStyle;
   }
   
   /**
    * Getter for property originalStyle.
    * @return Value of property originalStyle.
    */
   public it.businesslogic.ireport.ReportElement getOriginalStyle() {
       return originalStyle;
   }
   
   /**
    * Setter for property originalStyle.
    * @param originalStyle New value of property originalStyle.
    */
   public void setOriginalStyle(it.businesslogic.ireport.ReportElement originalStyle) {
       this.originalStyle = originalStyle;
   }
   
}
